summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-05-01 19:27:44 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-05-01 19:27:44 +0000
commit99508030007cffa33f44655bba49715cde00a9ad (patch)
tree545e4bf81f133337d4a522336b427db2bb35cfc7 /dev-ruby
parent6d17ffe6fd178e58cb953180f12660eda8f1ed17 (diff)
downloadbaldeagleos-repo-99508030007cffa33f44655bba49715cde00a9ad.tar.gz
baldeagleos-repo-99508030007cffa33f44655bba49715cde00a9ad.tar.xz
baldeagleos-repo-99508030007cffa33f44655bba49715cde00a9ad.zip
Adding metadata
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/ffi-compiler/ffi-compiler-1.3.2.ebuild4
-rw-r--r--dev-ruby/llhttp-ffi/Manifest1
-rw-r--r--dev-ruby/llhttp-ffi/llhttp-ffi-0.5.1-r1.ebuild (renamed from dev-ruby/llhttp-ffi/llhttp-ffi-0.5.1.ebuild)8
-rw-r--r--dev-ruby/rspec-expectations/Manifest1
-rw-r--r--dev-ruby/rspec-expectations/rspec-expectations-3.13.4.ebuild69
-rw-r--r--dev-ruby/rspec-mocks/Manifest1
-rw-r--r--dev-ruby/rspec-mocks/rspec-mocks-3.13.3.ebuild67
-rw-r--r--dev-ruby/rspec-support/Manifest1
-rw-r--r--dev-ruby/rspec-support/rspec-support-3.13.3.ebuild53
9 files changed, 197 insertions, 8 deletions
diff --git a/dev-ruby/ffi-compiler/ffi-compiler-1.3.2.ebuild b/dev-ruby/ffi-compiler/ffi-compiler-1.3.2.ebuild
index d0a6033acc30..67ab91efd480 100644
--- a/dev-ruby/ffi-compiler/ffi-compiler-1.3.2.ebuild
+++ b/dev-ruby/ffi-compiler/ffi-compiler-1.3.2.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby31 ruby32 ruby33"
+USE_RUBY="ruby31 ruby32 ruby33 ruby34"
RUBY_FAKEGEM_EXTRADOC="README.md"
RUBY_FAKEGEM_RECIPE_TEST="none"
RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
diff --git a/dev-ruby/llhttp-ffi/Manifest b/dev-ruby/llhttp-ffi/Manifest
index d0446b884529..3202a76b7555 100644
--- a/dev-ruby/llhttp-ffi/Manifest
+++ b/dev-ruby/llhttp-ffi/Manifest
@@ -1,2 +1,3 @@
DIST llhttp-0.4.0.tar.gz 98406 BLAKE2B 9f7358d988ed00558a36ae80e3c7d38cabb41a2233f32f4e3e6e9ed49a205f85ed84cb76cb07984f3b73b0a67eade4844ed5f4ee98b2453fa5c25d36fcb0082c SHA512 56a491763500b1619492173a83a227e3228847f4b85b8dadab1a9de34d65d5c662615c18d6cc6d5e11226df83381fd7f79f67e12f89f0e437ada8f9fd083ec26
DIST llhttp-2023-03-29.tar.gz 114103 BLAKE2B 7af75703a748518c2c4b8840ac08089d3c3e79f9652278bd41e591f09b9091f5fa8195c530992e51811f065004adbc533b92d49097e9f05a2aa98b44b47da9ac SHA512 058bf8a8bd7de6bf29794bc60bd9811d769acc9488cfc535d619ee24a79ba37edf3bcbdbffd40d747576024e7aca3c99cb71d9db1aa5af00991d7672c5f4bb70
+DIST llhttp-2025-03-11.tar.gz 114308 BLAKE2B a95f1ec359edf82ee67ddd6bf96b68ec11d8452287174017a423214b8cfe496df932966c1ab0decffe48be5fc1b70b9eaf345881eab2c01d755fff6c818d07ea SHA512 7c9c71a6a873882f3f8a2d6e379aa73e8fb675240e81b3395845f32f74941dfaaa0170719a2e00817eca9c1040b30cf4113d0d0561cb74fc17bf84fb5cd52fca
diff --git a/dev-ruby/llhttp-ffi/llhttp-ffi-0.5.1.ebuild b/dev-ruby/llhttp-ffi/llhttp-ffi-0.5.1-r1.ebuild
index 1bc1e6e1d3ee..ea4fb555144a 100644
--- a/dev-ruby/llhttp-ffi/llhttp-ffi-0.5.1.ebuild
+++ b/dev-ruby/llhttp-ffi/llhttp-ffi-0.5.1-r1.ebuild
@@ -3,13 +3,13 @@
EAPI=8
-USE_RUBY="ruby31 ruby32 ruby33"
+USE_RUBY="ruby32 ruby33"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
inherit ruby-fakegem
-MY_PV="2023-03-29"
+MY_PV="2025-03-11"
DESCRIPTION="Ruby FFI bindings for llhttp"
HOMEPAGE="https://github.com/bryanp/llhttp"
# Use -> ${MY_PV} in SRC_URI here to help spot forgotten MY_PV updates
@@ -31,10 +31,6 @@ ruby_add_bdepend "test? (
DEPEND="test? ( net-misc/curl )"
-PATCHES=(
- "${FILESDIR}"/${PN}-0.5.0-fix-rake-clean.patch
-)
-
all_ruby_prepare() {
sed -i -e 's/gem "rake-compiler"//g' "Gemfile" || die
}
diff --git a/dev-ruby/rspec-expectations/Manifest b/dev-ruby/rspec-expectations/Manifest
index ecf032939a65..cde650881387 100644
--- a/dev-ruby/rspec-expectations/Manifest
+++ b/dev-ruby/rspec-expectations/Manifest
@@ -1 +1,2 @@
DIST rspec-expectations-3.13.3-git.tgz 223417 BLAKE2B c246789687c9b09b715093d0e730a76d04f009866e2886c9d2ee189015c93456cbb046cde72d2775d23978d5410e3e0f1b0337d7bbee7645319f14fe7375f6e8 SHA512 919e01204264611c77fddcf2e6c0e1707f95707ef3b04c40241951d732118e72ab9b7ad860f6f5639da631fb844ca76f512283a988b6561bd23ec6ae95aa013e
+DIST rspec-expectations-3.13.4-git.tgz 917486 BLAKE2B 66edcc543f3778373f1e0b98873e71f2cedb4bf8445e8d67a4373a7b61b44cd38bf5e5a74f638b6bdf9e23acbcf5914d69f07c09ecc62016b9a94370994ef5a4 SHA512 5a472f49d1b7fcbd6d1b171ed70b6e4baa817d146759af3de4193947e6dcc9a30580f38a77771776aa188681e7cbde7c17a62ec8ce05c6ba0af6871cefb44476
diff --git a/dev-ruby/rspec-expectations/rspec-expectations-3.13.4.ebuild b/dev-ruby/rspec-expectations/rspec-expectations-3.13.4.ebuild
new file mode 100644
index 000000000000..b679c944a667
--- /dev/null
+++ b/dev-ruby/rspec-expectations/rspec-expectations-3.13.4.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="Changelog.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Behaviour Driven Development (BDD) framework for Ruby"
+HOMEPAGE="https://github.com/rspec/rspec-expectations"
+SRC_URI="https://github.com/rspec/rspec/archive/refs/tags/${PN}-v${PV}.tar.gz -> ${P}-git.tgz"
+RUBY_S="rspec-${PN}-v${PV}/${PN}"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+
+SUBVERSION="$(ver_cut 1-2)"
+
+ruby_add_rdepend ">=dev-ruby/diff-lcs-1.2.0 =dev-ruby/diff-lcs-1*
+ =dev-ruby/rspec-support-${SUBVERSION}*"
+
+ruby_add_bdepend "test? (
+ >=dev-ruby/rspec-mocks-3.2.0:3
+ >=dev-ruby/rspec-support-3.5.0:3
+ )"
+
+all_ruby_prepare() {
+ # Don't set up bundler: it doesn't understand our setup.
+ sed -i -e '/[Bb]undler/d' Rakefile || die
+
+ # Fix minitest deprecation
+ sed -i -e 's/MiniTest/Minitest/' spec/rspec/expectations/minitest_integration_spec.rb || die
+
+ # Remove the Gemfile to avoid running through 'bundle exec'
+ rm -f Gemfile || die
+
+ # fix up the gemspecs
+ sed -i \
+ -e '/git ls/d' \
+ -e '/add_development_dependency/d' \
+ "${RUBY_FAKEGEM_GEMSPEC}" || die
+
+ # Avoid specs failing with newer diff-lcs. Already fixed upstream.
+ rm -f spec/rspec/matchers/dsl_spec.rb \
+ spec/rspec/matchers/built_in/{compound,have_attributes,include}_spec.rb || die
+
+ sed -e '/simplecov/,/^end/ s:^:#:' \
+ -i spec/spec_helper.rb || die
+}
+
+each_ruby_prepare() {
+ case ${RUBY} in
+ *ruby34)
+ # Avoid tests failing on ruby34. Should be fixed upstream.
+ rm -f spec/rspec/matchers/aliases_spec.rb \
+ spec/rspec/matchers/built_in/{change,eq,has,captures,start_and_end_with}_spec.rb \
+ spec/rspec/matchers/english_phrasing_spec.rb || die
+ ;;
+ esac
+}
diff --git a/dev-ruby/rspec-mocks/Manifest b/dev-ruby/rspec-mocks/Manifest
index 2c4515db1139..9ee36a4593d9 100644
--- a/dev-ruby/rspec-mocks/Manifest
+++ b/dev-ruby/rspec-mocks/Manifest
@@ -1 +1,2 @@
DIST rspec-mocks-3.13.2-git.tgz 209159 BLAKE2B de4c16b11e1ae970ae39d5797ded171b72b95b5c2258b284283e499391332c4afe688aa52703a87daa38f31c3da266e676041a0d50e417b379f9e94a66d530dc SHA512 cb9b72cf1c85adddec59a19a683beb582f527ca3ca766f73f086c30e485e9267d8574344286f858d4c519df66cfcf225aa2f6f194c046781b8dec80aa240697f
+DIST rspec-mocks-3.13.3-git.tgz 917496 BLAKE2B 12eac6d5f3c495d84a36068eb7380921aae860e4e3e234aea273d558dd211713e542f355fd19ad0fd91932de95ed562a71472280b78282e55d89f7cfe8753933 SHA512 2bbf4d6c0cfa31a4b3c5bfe8050da7b0458367ef581a6fef179234130106fbe34163966955f8ab45f5e3e77c5d63b6a240edeb5454199ea3f312ba4e04ee21ef
diff --git a/dev-ruby/rspec-mocks/rspec-mocks-3.13.3.ebuild b/dev-ruby/rspec-mocks/rspec-mocks-3.13.3.ebuild
new file mode 100644
index 000000000000..c0e5dc0a825f
--- /dev/null
+++ b/dev-ruby/rspec-mocks/rspec-mocks-3.13.3.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+#RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="Changelog.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="rspec-mocks.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Behaviour Driven Development (BDD) framework for Ruby"
+HOMEPAGE="https://github.com/rspec/rspec-mocks"
+SRC_URI="https://github.com/rspec/rspec/archive/refs/tags/${PN}-v${PV}.tar.gz -> ${P}-git.tgz"
+RUBY_S="rspec-${PN}-v${PV}/${PN}"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+
+SUBVERSION="$(ver_cut 1-2)"
+
+ruby_add_rdepend "=dev-ruby/rspec-support-${SUBVERSION}*
+ >=dev-ruby/diff-lcs-1.2.0 =dev-ruby/diff-lcs-1*"
+
+ruby_add_bdepend "
+ test? (
+ >=dev-ruby/rspec-core-3.12.0:3
+ >=dev-ruby/rspec-expectations-2.99.0:3
+ )"
+
+all_ruby_prepare() {
+ # Don't set up bundler: it doesn't understand our setup.
+ sed -i -e '/[Bb]undler/d' Rakefile || die
+
+ # And consequently avoid specs using bundler. This also avoids a
+ # circular dependency on aruba.
+ rm -f spec/integration/rails_support_spec.rb spec/support/aruba.rb || die
+
+ # Remove .rspec options to avoid dependency on newer rspec when
+ # bootstrapping.
+ rm .rspec || die
+
+ sed -i -e '1irequire "spec_helper"' spec/rspec/mocks/any_instance_spec.rb || die
+
+ sed -i -e 's/git ls-files --/find */' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Avoid spec failing with newer dev-ruby/diff-lcs. Already fixed upstream.
+ rm -f spec/rspec/mocks/diffing_spec.rb || die
+}
+
+each_ruby_prepare() {
+ case ${RUBY} in
+ *ruby34)
+ Avoid specs failing with ruby34. Should be fixed upstream.
+ rm -f spec/rspec/mocks/argument_matchers_spec.rb \
+ spec/rspec/mocks/double_spec.rb \
+ spec/rspec/mocks/verifying_doubles/expected_arg_verification_spec.rb \
+ spec/rspec/mocks/matchers/receive_spec.rb || die
+ ;;
+ esac
+}
diff --git a/dev-ruby/rspec-support/Manifest b/dev-ruby/rspec-support/Manifest
index 4e4ef0874931..d26a3a0cacbf 100644
--- a/dev-ruby/rspec-support/Manifest
+++ b/dev-ruby/rspec-support/Manifest
@@ -1,2 +1,3 @@
DIST rspec-support-3.13.1-git.tgz 79672 BLAKE2B 73a1b7c8508fd361ca06a647b3291e51eb5cd7f5ea3061b41b81daa724a8811a4891a8b0fadd440b163cf7cf8c43cb2e81e440da57613e82f791cb656913ecf5 SHA512 afbd76d937c5e2bfff8eccd69f4cd5081befc667fdef699743f809bf3f3bdda2404a24fb2408bce3373d7995406ca11a76c734d973957aeb6ada3d41fa59249c
DIST rspec-support-3.13.2-git.tgz 914469 BLAKE2B 9bb0977420f8e034b47f7f8589e372483265e8a7b783bc2222243a1a500d7852ea948f44a8b19e0c3b1fa62379b8fdb1d68e7dd98ac439585cce91086cc0d5e9 SHA512 f4f46ecfc6d5b9dae9a210fd25b0ac96c9491e9b20aadae8d26997f45cc81b3dce6dbbffc727e406517869ae68cc46f73832f8f3793cb10055c342dc16f5848d
+DIST rspec-support-3.13.3-git.tgz 917482 BLAKE2B e1cd8d63d0b6351889c5dfb5ad4b80dc01386897796fffe5151923d861d36a087765ba29f49fc183242e0fc5f5ee8eb2e7351cb2ca43f89a9cc6e9366dc7b2f1 SHA512 262385980a445441ce97aa957bff336633b5066600013b28b91b80349c901b687e823051918478be63571ce5dcc6b659996e4228896bda90aa6fe7287ee0f699
diff --git a/dev-ruby/rspec-support/rspec-support-3.13.3.ebuild b/dev-ruby/rspec-support/rspec-support-3.13.3.ebuild
new file mode 100644
index 000000000000..4e94fb96be7f
--- /dev/null
+++ b/dev-ruby/rspec-support/rspec-support-3.13.3.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="Changelog.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Behaviour Driven Development (BDD) framework for Ruby"
+HOMEPAGE="https://github.com/rspec/rspec-support"
+SRC_URI="https://github.com/rspec/rspec/archive/refs/tags/${PN}-v${PV}.tar.gz -> ${P}-git.tgz"
+RUBY_S="rspec-${PN}-v${PV}/${PN}"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+
+ruby_add_bdepend "test? ( >=dev-ruby/rspec-3.9.0:3 >=dev-ruby/thread_order-1.1.0 )"
+
+all_ruby_prepare() {
+ sed -i -e '/git ls-files/d' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Remove spec that, by following symlinks, tries to scan pretty much
+ # the whole filesystem.
+ rm spec/rspec/support/caller_filter_spec.rb || die
+
+ # Avoid spec that requires a dependency on git
+ sed -i -e '/library wide checks/,/]/ s:^:#:' spec/rspec/support_spec.rb || die
+
+ # Avoid a spec requiring a specific locale
+ sed -i -e '/copes with encoded strings/ s/RSpec::Support::OS.windows?/true/' spec/rspec/support/differ_spec.rb || die
+
+ # Avoid specs failing when run in Gentoo, possibly due to different IO
+ sed -e '/outputs unified diff message of two arrays/askip "ruby31 IO"' \
+ -e '/outputs unified diff message for hashes inside arrays with differing key orders/askip "ruby31 IO"' \
+ -i spec/rspec/support/differ_spec.rb || die
+}
+
+each_ruby_prepare() {
+ # Use the ruby version being tested
+ sed -i -e '/shell_out/ s:ruby:'${RUBY}':' spec/rspec/support/spec/shell_out_spec.rb || die
+}
+
+each_ruby_test() {
+ RUBYLIB=lib ${RUBY} -S rspec spec || die
+}